# Uses of Class
io.trino.jdbc.TrinoDataSource

## Uses of TrinoDataSource in io.trino.jdbc

Methods in io.trino.jdbc that return TrinoDataSource
Modifier and Type
Method
Description
`TrinoDataSource`
TrinoDataSource.`setCatalog(String catalog)`
`TrinoDataSource`
TrinoDataSource.`setPassword(String password)`
`TrinoDataSource`
TrinoDataSource.`setSchema(String schema)`
`TrinoDataSource`
TrinoDataSource.`setSessionUser(String sessionUser)`
`TrinoDataSource`
TrinoDataSource.`setSqlPath(String sqlPath)`
`TrinoDataSource`
TrinoDataSource.`setUser(String user)`